Bug Hunting Session
Bug 66072 - deb file conflict libkdebe1lo.so in libobasis4.1-core01 and in libobasis4.1-kde-integration
Summary: deb file conflict libkdebe1lo.so in libobasis4.1-core01 and in libobasis4.1-k...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Installation (show other bugs)
Version:
(earliest affected)
4.1.0.1 rc
Hardware: All Linux (All)
: medium normal
Assignee: David Tardon
URL:
Whiteboard: target:4.2.0 target:4.1.0
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-23 09:45 UTC by Lionel Elie Mamane
Modified: 2013-07-12 14:25 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lionel Elie Mamane 2013-06-23 09:45:50 UTC
Package libobasis4.1-kde-integration cannot be installed because the file /opt/libreoffice4.1/program/libkdebe1lo.so is *both* in that package and in libobasis4.1-core01.

It should be in only one of them. From the name (contains "kde"), my guess is in libobasis4.1-kde-integration.
Comment 1 Mihkel Tõnnov 2013-06-26 00:11:56 UTC
Yep, confirmed. Affects i386, too.
Comment 2 Julien Nabet 2013-07-02 21:42:56 UTC
Just for the record, on pc Debian x86-64 with testing and LO 4.0.3 no problem.

René: one for you?
Comment 3 Petr Mladek 2013-07-08 15:44:04 UTC
I guess that it is related to the auto_install_libs feature.

It is strange that "libkdebe1lo.so" is correctly put only into gid_Module_Optional_Kde
while "libkde4be1lo.so" is put into both "gid_Module_Optional_Kde" and "gid_Module_Root".
I wonder if there is a problem with matching patterns or so.

Matus, David, could you please have a look?
Comment 4 Matúš Kukan 2013-07-08 17:58:05 UTC
I believe https://gerrit.libreoffice.org/4776 fixes the problem.
Just needs someone to test & push.
Comment 5 Commit Notification 2013-07-11 13:54:56 UTC
David Tardon committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bd3aa6983796f9dedf85c446a0ce5e5505583809

fdo#66072 do not end auto_*_ALL by a comma



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2013-07-12 11:52:35 UTC
David Tardon committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6baa3e1d835e3dd84071038e1e190300300d3408&h=libreoffice-4-1

fdo#66072 do not end auto_*_ALL by a comma


It will be available in LibreOffice 4.1.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2013-07-12 14:25:51 UTC
David Tardon committed a patch related to this issue.
It has been pushed to "libreoffice-4-1-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b28d846c0f33c93b71c8f6118c8e1f8de78d8e11&h=libreoffice-4-1-0

fdo#66072 do not end auto_*_ALL by a comma


It will be available already in LibreOffice 4.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.